Read shell output
Page through captured combined output by absolute byte cursor.
GET
/api/shell/{id}/outputPath parameters
idobjectrequiredQuery parameters
locationobject | anycursorobjectlimitobjectResponses
200Success
locationLocation.InforequiredShow propertiesHide properties
directorystringrequiredworkspaceIDobjectShow propertiesHide properties
objectprojectobjectrequiredShow propertiesHide properties
idstringrequireddirectorystringrequireddataobjectrequiredShow propertiesHide properties
outputstringrequiredcursorobjectrequiredShow propertiesHide properties
objectsizeobjectrequiredShow propertiesHide properties
objecttruncatedbooleanrequired400InvalidRequestError
_tagstringrequiredAllowed:
InvalidRequestErrormessagestringrequiredkindstring | anyShow propertiesHide properties
Any of:
string
stringany
anyfieldstring | anyShow propertiesHide properties
Any of:
string
stringany
any401UnauthorizedError
_tagstringrequiredAllowed:
UnauthorizedErrormessagestringrequired404ShellNotFoundError
_tagstringrequiredAllowed:
ShellNotFoundErroridstringrequiredmessagestringrequiredRequest
curl -X GET "/api/shell/%5Bobject%20Object%5D/output"const response = await fetch("/api/shell/%5Bobject%20Object%5D/output", {
method: "GET"
});import requests
response = requests.get(
"/api/shell/%5Bobject%20Object%5D/output",
)Response
{
"location": {
"directory": "string",
"workspaceID": {},
"project": {
"id": "string",
"directory": "string"
}
},
"data": {
"output": "string",
"cursor": {},
"size": {},
"truncated": true
}
}{
"_tag": "InvalidRequestError",
"message": "string",
"kind": "string",
"field": "string"
}{
"_tag": "UnauthorizedError",
"message": "string"
}{
"_tag": "ShellNotFoundError",
"id": "string",
"message": "string"
}